Package com.microblink.blinkid.results.ocr

# Class OcrResult

java.lang.Object
com.microblink.blinkid.results.ocr.OcrResult

All Implemented Interfaces:
  `android.os.Parcelable`

public class OcrResult extends Object implements android.os.Parcelable
Represents a raw OCR result. OCR result contains one or more OCR blocks. Each OCR block contains one or more OCR lines. Each line contains one or more OCR chars. Each OCR char is represented with its value, position and possible alternatives.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<OcrResult>`
  `CREATOR`
  Parcelable creator.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OcrResult(long nativePtr, Object keep)`
  Constructor from native code

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OcrResult`
  `clone()`
  Creates a clone of the object.
  `int`
  `describeContents()`
  `void`
  `dispose()`
  Disposes the object.
  `protected void`
  `finalize()`
  `OcrBlock[]`
  `getBlocks()`
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<OcrResult> CREATOR
    Parcelable creator.

- ## Constructor Details

  - ### OcrResult

    public OcrResult(long nativePtr, @Nullable Object keep)
    Constructor from native code

- ## Method Details

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`

  - ### dispose

    public void dispose()
    Disposes the object. After the object has been disposed, all operations on it are illegal.

  - ### clone

    @NonNull public OcrResult clone()
    Creates a clone of the object.
    Overrides:
      `clone` in class `Object`
    Returns:
      a clone of the object.

  - ### getBlocks

    @Nullable public OcrBlock[] getBlocks()
    Returns:
      the blocks

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`